<?php
/**
 * SF Webdesign
 *
 * @package  Priority timezones plus
 * @author wintstar (Franky) www.stephan-frank.de
 * @copyright 2021 SF Webdesign
 * @license http://opensource.org/licenses/gpl-2.0.php GPL-2.0
 *
 * @version 1.1
 */

if (!defined('SMF'))
	die('Hacking attempt...');

/**
 * ===================================================================
 * Installed version
 * ===================================================================
 */
define('PRORITY_TIMEZONE_PLUS_VERSION', '1.1');

/**
 * priority_timezones_plus_matazones
 *
 * @param  mixed $tzid_metazones
 * @param  mixed $when
 * @return void
 */
function priority_timezones_plus_metazones(&$tzid_metazones, $when)
{
    // Many thanks to Sesquipedalian https://www.simplemachines.org/community/index.php?topic=578597.msg4096468#msg4096468
    global $tztxt, $txt;

    $tztxt['generic_timezone'] = '%1$s';

    foreach (timezone_identifiers_list() as $tzid) {
        $tzid_metazones[$tzid] = $tzid;

        if (isset($txt[$tzid]))
            $tztxt[$tzid] = $txt[$tzid];
    }
}

/**
 * dd_country_timezone_credits
 *
 * @return void
 */
function priority_timezones_plus_credits()
{
	global $context;

	$context['credits_modifications'][] = 'Priority timezones plus ' . PRORITY_TIMEZONE_PLUS_VERSION . ' © ' . SMF_SOFTWARE_YEAR . ',
	<a href="https://www.stephan-frank.de" title="SF Webdesign" target="_blank" rel="noopener">SF Webdesign</a>';
}

?>